org.apache.lucene.search

## Interface ScoreDocComparator

- Deprecated.
  use `FieldComparator`

      public interface ScoreDocComparator

  Expert: Compares two ScoreDoc objects for sorting.

  Created: Feb 3, 2004 9:00:16 AM

  Since:
    lucene 1.4
  Version:
    $Id: ScoreDocComparator.java 738219 2009-01-27 20:15:21Z mikemccand $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ScoreDocComparator` | `INDEXORDER` Deprecated. Special comparator for sorting hits according to index order (document number).
    `static ScoreDocComparator` | `RELEVANCE` Deprecated. Special comparator for sorting hits according to computed relevance (document score).

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(ScoreDoc i, ScoreDoc j)` Deprecated. Compares two ScoreDoc objects and returns a result indicating their sort order.
    `int` | `sortType()` Deprecated. Returns the type of sort.
    `java.lang.Comparable` | `sortValue(ScoreDoc i)` Deprecated. Returns the value used to sort the given document.

- - ### Field Detail

    - #### RELEVANCE

          static final ScoreDocComparator RELEVANCE

      Deprecated.
      Special comparator for sorting hits according to computed relevance (document score).

    - #### INDEXORDER

          static final ScoreDocComparator INDEXORDER

      Deprecated.
      Special comparator for sorting hits according to index order (document number).

  - ### Method Detail

    - #### compare

          int compare(ScoreDoc i,
                      ScoreDoc j)

      Deprecated.
      Compares two ScoreDoc objects and returns a result indicating their sort order.
      Parameters:
        `i` - First ScoreDoc
        `j` - Second ScoreDoc
      Returns:
        a negative integer if `i` should come before `j`
        a positive integer if `i` should come after `j`
        `0` if they are equal
      See Also:
        `Comparator`

    - #### sortValue

          java.lang.Comparable sortValue(ScoreDoc i)

      Deprecated.
      Returns the value used to sort the given document. The object returned must implement the java.io.Serializable interface. This is used by multisearchers to determine how to collate results from their searchers.
      Parameters:
        `i` - Document
      Returns:
        Serializable object
      See Also:
        `FieldDoc`

    - #### sortType

          int sortType()

      Deprecated.
      Returns the type of sort. Should return `SortField.SCORE`, `SortField.DOC`, `SortField.STRING`, `SortField.INTEGER`, `SortField.FLOAT` or `SortField.CUSTOM`. It is not valid to return `SortField.AUTO`. This is used by multisearchers to determine how to collate results from their searchers.
      Returns:
        One of the constants in SortField.
      See Also:
        `SortField`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.